main.floors.MT45=
{
    "floorId": "MT45",
    "title": " 娥 45 糷",
    "name": " 娥 45 糷",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "5,2": [
            "\t[老人,man]44层没被藏在异空间，你走下去就可以到达。"
        ],
        "3,3": [
            {
                "type": "if",
                "condition": "switch:A",
                "true": [
                    "\t[行商,trader]\b[this]存放圣剑的门没坏，但是前往48楼的门坏了，你必须用其他方法才能上去。",
                    {
                        "type": "comment",
                        "text": "下一条指令可视情况使用或不使用"
                    },
                    {
                        "type": "hide",
                        "remove": true,
                        "time": 250
                    }
                ],
                "false": [
                    {
                        "type": "confirm",
                        "text": "800块钱就可以购买一个魔法护符\n（受到的魔法伤害减半）",
                        "yes": [
                            {
                                "type": "if",
                                "condition": "(status:money>=800)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "800"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "item:MagicAL",
                                        "operator": "+=",
                                        "value": "1"
                                    },
                                    {
                                        "type": "playSound",
                                        "name": "确定"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "switch:A",
                                        "value": "true"
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "playSound",
                                        "name": "操作失败"
                                    },
                                    "\t[行商,trader]\b[this]你的金币不足！"
                                ]
                            }
                        ],
                        "no": []
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "1,1": {
            "floorId": ":before"
        },
        "1,11": {
            "floorId": ":next",
            "stair": "downFloor"
        },
        "7,6": {
            "floorId": ":before"
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "9,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT45_10_5",
                "operator": "+=",
                "value": "1"
            }
        ],
        "11,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT45_10_5",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT45_10_7",
                "operator": "+=",
                "value": "1"
            }
        ],
        "11,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT45_10_7",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "10,5": {
            "0": {
                "condition": "flag:door_MT45_10_5==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT45_10_5",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "10,7": {
            "0": {
                "condition": "flag:door_MT45_10_7==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT45_10_7",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 88,  0,  0,  1,  1,  1,  0, 81,  0, 21, 32,  1],
    [  1,  0,  0,  0,  1,121,  0,  0,  1,  0,  0,  0,  1],
    [  1,  0,  0,122,  1,  1,  0,  0,  1,  1,  0,  1,  1],
    [  1,  1, 81,  1,  1,  0,  0, 31,  1,228,  0,228,  1],
    [  1, 32, 31, 32,  1,235,  1,  1,  1,  1, 85,  1,  1],
    [  1, 31, 31, 31,  1,  0,  1, 88,  1,246,  0,246,  1],
    [  1, 32, 31, 32,  1,  0,  1,  0,  1,  1, 85,  1,  1],
    [  1,  1, 82,  1,  1,220,  1, 22,  1,  0,  0,  0,  1],
    [  1,  0,231,  0,  1,  0,  1,  0, 81,  0,  0,  0,  1],
    [  1,  0,  0,  0, 81,  0,  1,  1,  1,  0,  0,  0,  1],
    [  1, 87,  0,  0,  1, 28,  1,344, 59, 58, 32, 32,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}