main.floors.MT46=
{
    "floorId": "MT46",
    "title": " 娥 46 糷",
    "name": " 娥 46 糷",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,10": [
            {
                "type": "openShop",
                "id": "shop4",
                "open": true
            }
        ],
        "4,3": [
            {
                "type": "if",
                "condition": "(flag:Expman!==1)",
                "true": [
                    "\t[勇士]所以经验之神的尸体怎么也不见了？",
                    "\t[经验老人,greenMan]哦，赚不到钱啊，卖废品了。",
                    {
                        "type": "setValue",
                        "name": "flag:Expman",
                        "value": "1"
                    }
                ],
                "false": [
                    {
                        "type": "if",
                        "condition": "switch:A",
                        "true": [
                            "\t[行商,trader]\b[this]你需要找到我的上级领导才能再次提升等级。",
                            {
                                "type": "comment",
                                "text": "下一条指令可视情况使用或不使用"
                            },
                            {
                                "type": "hide",
                                "remove": true,
                                "time": 250
                            }
                        ],
                        "false": [
                            {
                                "type": "confirm",
                                "text": "当你有480经验的时候我可以帮你提升4级。",
                                "yes": [
                                    {
                                        "type": "if",
                                        "condition": "(status:exp>=480)",
                                        "true": [
                                            {
                                                "type": "setValue",
                                                "name": "status:exp",
                                                "operator": "-=",
                                                "value": "480"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:lv",
                                                "operator": "+=",
                                                "value": "4"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:hp",
                                                "operator": "+=",
                                                "value": "4000"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:atk",
                                                "operator": "+=",
                                                "value": "40"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:def",
                                                "operator": "+=",
                                                "value": "40"
                                            },
                                            {
                                                "type": "playSound",
                                                "name": "确定"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "switch:A",
                                                "value": "true"
                                            }
                                        ],
                                        "false": [
                                            {
                                                "type": "playSound",
                                                "name": "操作失败"
                                            },
                                            "\t[行商,trader]\b[this]你的金币不足！"
                                        ]
                                    }
                                ],
                                "no": []
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "1,11": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "1,1": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 87,  0, 81,231,  0, 81,217,  0,253,  0,  0,  1],
    [  1,  0,  0,  1,  0,  0,  1,  1,  1,  1,  1,218,  1],
    [  1,  0,231,  1,137,  0,  1,  0,220, 26,  1,  0,  1],
    [  1,  1, 81,  1,  1, 81,  1,  0,  1,352,  1,  0,  1],
    [  1, 28,  0,  1,220,  0,  1,220,  1,  1,  1,219,  1],
    [  1,  0,235, 81,  0, 31,  1,  0,  0,231,  0,  0,  1],
    [  1,  1, 81,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0, 81,  0, 31, 31, 31,  0, 81,235, 21,  1],
    [  1,  0,  0,  1,  1,  1,  1,  1,  1,  1,  0, 31,  1],
    [  1,  0,  0,  1,  0,  7,131,  8,  0,  1,  0, 27,  1],
    [  1, 88,  0, 82,  0, 32,  0, 32,  0, 81,223, 21,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}