main.floors.MT15=
{
    "floorId": "MT15",
    "title": " 娥 15 糷",
    "name": "15",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 2,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,9": [
            {
                "type": "setBlock",
                "number": "skeletonCaptain",
                "loc": [
                    [
                        6,
                        6
                    ]
                ]
            },
            "\t[骷髅队长,skeletonCaptain]你打败了10楼的我，这表明你是个勇士。\n但现在游戏结束了，我真的将在这里亲手杀死你。",
            {
                "type": "setBlock",
                "number": "skeletonWarrior",
                "loc": [
                    [
                        5,
                        7
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "skeletonWarrior",
                "loc": [
                    [
                        6,
                        7
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "skeletonWarrior",
                "loc": [
                    [
                        7,
                        7
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "skeletonWarrior",
                "loc": [
                    [
                        5,
                        8
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "skeletonWarrior",
                "loc": [
                    [
                        7,
                        8
                    ]
                ]
            },
            "\t[骷髅队长,skeletonCaptain]哈，罠，上！",
            {
                "type": "battle",
                "loc": [
                    5,
                    7
                ]
            },
            {
                "type": "battle",
                "loc": [
                    6,
                    7
                ]
            },
            {
                "type": "battle",
                "loc": [
                    7,
                    7
                ]
            },
            {
                "type": "battle",
                "loc": [
                    5,
                    8
                ]
            },
            {
                "type": "battle",
                "loc": [
                    7,
                    8
                ]
            },
            "\t[骷髅队长,skeletonCaptain]你怎么能击败我的手下？",
            {
                "type": "battle",
                "loc": [
                    6,
                    6
                ]
            },
            "\t[骷髅队长,skeletonCaptain]很好，我承认你是比我强，但是相比于臸扒材来说，你太弱了。",
            {
                "type": "hide",
                "remove": true
            }
        ],
        "2,1": [
            {
                "type": "if",
                "condition": "(flag:Expman!==1)",
                "true": [
                    "\t[勇士]你是谁？经验之神去哪里了？",
                    "\t[经验老人,greenMan]那是上个版本的事情了，现在这里的业务归我负责。\n但是现在实行职级并行，每个等级的经验老人只能帮你提升一次。",
                    {
                        "type": "setValue",
                        "name": "flag:Expman",
                        "value": "1"
                    }
                ],
                "false": [
                    {
                        "type": "if",
                        "condition": "switch:A",
                        "true": [
                            "\t[行商,trader]\b[this]你需要找到我的上级领导才能再次提升等级。",
                            {
                                "type": "comment",
                                "text": "下一条指令可视情况使用或不使用"
                            },
                            {
                                "type": "hide",
                                "remove": true,
                                "time": 250
                            }
                        ],
                        "false": [
                            {
                                "type": "confirm",
                                "text": "当你有100经验的时候我可以帮你提升1级。",
                                "yes": [
                                    {
                                        "type": "if",
                                        "condition": "(status:exp>=100)",
                                        "true": [
                                            {
                                                "type": "setValue",
                                                "name": "status:exp",
                                                "operator": "-=",
                                                "value": "100"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:lv",
                                                "operator": "+=",
                                                "value": "1"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:hp",
                                                "operator": "+=",
                                                "value": "1000"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:atk",
                                                "operator": "+=",
                                                "value": "10"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "status:def",
                                                "operator": "+=",
                                                "value": "10"
                                            },
                                            {
                                                "type": "playSound",
                                                "name": "确定"
                                            },
                                            {
                                                "type": "setValue",
                                                "name": "switch:A",
                                                "value": "true"
                                            }
                                        ],
                                        "false": [
                                            {
                                                "type": "playSound",
                                                "name": "操作失败"
                                            },
                                            "\t[行商,trader]\b[this]你的金币不足！"
                                        ]
                                    }
                                ],
                                "no": []
                            }
                        ]
                    }
                ]
            }
        ],
        "6,1": [
            {
                "type": "if",
                "condition": "(status:atk<200)",
                "true": [
                    "\t[小偷,thief]谢谢你再次救了我。\n除非你是个勇士，否则你不能去到下一个区域。如果要前往下一个区域，就必须\n打开第20层的大门。只要你的攻击力在200以上，我可以实现你的一个愿望。除非\n你的愿望是打开第20层的大门，否则我无法帮你实现。"
                ],
                "false": [
                    "\t[小偷,thief]你已经是一个合格的勇士。\n我可以帮你打开前往21层的大门。",
                    {
                        "type": "openDoor",
                        "loc": [
                            2,
                            1
                        ],
                        "floorId": "MT20"
                    },
                    {
                        "type": "hide",
                        "remove": true
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "6,11": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "2,11": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "1,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT15_2_3",
                "operator": "+=",
                "value": "1"
            }
        ],
        "3,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT15_2_3",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT15_10_3",
                "operator": "+=",
                "value": "1"
            }
        ],
        "11,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT15_10_3",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "2,3": {
            "0": {
                "condition": "flag:door_MT15_2_3==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT15_2_3",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "10,3": {
            "0": {
                "condition": "flag:door_MT15_10_3==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT15_10_3",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  9,137, 10,  1,  0,123,  0,  1, 32, 32, 32,  1],
    [  1,  0,  0,  0,  1,  0,  0,  0,  1, 32, 31, 32,  1],
    [  1,  1, 85,  1,  1,  1,221,  1,  1,  1, 85,  1,  1],
    [  1,253,  0,253,  1, 31,206, 31,  1,216,  0,216,  1],
    [  1,  1,  0,  1,  1,206, 31,206,  1,  1,  0,  1,  1],
    [  1, 21,  0, 21,  1,  1,  0,  1,  1,  0,  0,206,  1],
    [  1,  0, 31,  0, 81,  0,  0,  0, 81,  0,  1, 28,  1],
    [  1, 21,  0, 21,  1,  0,  0,  0,  1,  0,  0,206,  1],
    [  1,  1,  0,  1,  1,  0,  0,  0,  1,  1,345,  1,  1],
    [  1,  0,  0,  0,  1,  1,  0,  1,  1, 21, 22, 21,  1],
    [  1,  0, 87,  0,  1,  1, 88,  1,  1, 21, 21, 21,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}